Search Unity

[ERROR] Assembly with name 'Unity.Build.Tests' already exists

Discussion in 'Package Manager' started by Conspiracy, Feb 11, 2020.

  1. Conspiracy

    Conspiracy

    Joined:
    Oct 22, 2016
    Posts:
    40
    Assembly with name 'Unity.Build.Tests' already exists (Packages/com.unity.platforms/Tests/Editor/Unity.Build.Tests/Unity.Build.Tests.asmdef)

    Assembly with name 'Unity.Build.Common' already exists (Packages/com.unity.entities/Unity.Build.Common/Unity.Build.Common.asmdef)

    there's a lot more examples but you get the idea.

    this happens after after updating packages alongside with GUID problems. Unfortunately, unlike the guid problem, I cant seem to find a solution to fix this issue.
     
  2. samuelb_unity

    samuelb_unity

    Unity Technologies

    Joined:
    Nov 13, 2017
    Posts:
    87
    Hi @Conspiracy,

    Could you provide the exact steps to reproduce this issue? e.g. Which packages did you update? How did you perform the update? (via the Package Manager window? by opening your project in a new Unity editor?) Thanks!
     
  3. Conspiracy

    Conspiracy

    Joined:
    Oct 22, 2016
    Posts:
    40
    I Updated the unity platforms package using the package manager, turns out I can just delete the asmdef file in the cache folder to fix the issue
     
  4. kornel-l-varga

    kornel-l-varga

    Joined:
    Jan 18, 2013
    Posts:
    39
    I can confirm this!
    I have downloaded the TIny3D example projects in 2020.1.0a22.2822, everything works except for building the project. So I though I would update the packages in the manager, after updating everything I am receiving the same error. Seems like that the Unity.build does exist in :
    Packages/Build/Editor/Unity.Build
    Packages/Unity Platforms/Editor/Unity.Build

    (it seems like Project Tiny depends on both package though)
     
  5. kornel-l-varga

    kornel-l-varga

    Joined:
    Jan 18, 2013
    Posts:
    39
    By the way, are you building for DOTS? or using the Project Tiny?
    I have finally managed to build. I have done the following:
    - play around with the previous versions of the Unity Platforms in Package Manager, try several to revert to.
    - Build with the Window/Build/Manager and select only the platforms you want to build for, it seems to recompile everything but at least it works.
     
unityunity